﻿using ClassUnderTest;
using ClassUnderTest.Adapters;

namespace ClassUnderTestTests
{
    
    /// <summary>
    /// The class that allows to test CommunicationAdapter with mocks and stubs
    /// </summary>
    public class TestableAdapter : CommunicationAdapter
    {

        /// <summary>
        /// The setter of comunication channel
        /// </summary>
        public ICommunicationChannel Channel
        {           
            set
            {
                channel = value;               
            }
        }

    }

}
